# Get started

Welcome to the OpenVINO Developer guides. These documents describe how to build OpenVINO, provide general ideas about its architecture and help you start contributing to OpenVINO.

If you're brand new to OpenVINO and want to jump right into code, start with the [Build OpenVINO guide](./build.md).

Explore other resources to learn more about OpenVINO:

 * [OpenVINO official user documentation](https://docs.openvino.ai/)
 * [OpenVINO repository structure](./index.md#openvino-repository-structure)
 * [OpenVINO core components](../../src/README.md)
 * [OpenVINO contributing guidelines](../../CONTRIBUTING.md)
 * [OpenVINO conditional compilation](./conditional_compilation.md)
 * [OpenVINO Tutorials](../../README.md#tutorials)
 * [Public OpenVINO CI](./public_ci.md)

## See also
 * [OpenVINO Developer Documentation](./index.md)
 * [OpenVINO Samples](../../samples)
 * [OpenVINO Building Documentation](./building_documentation.md)
 * [CMake Options for Custom Compilation](./cmake_options_for_custom_compilation.md)
