// Copyright (C) 2018-2024 Intel Corporation
// SPDX-License-Identifier: Apache-2.0
//

#pragma once

#include <gtest/gtest.h>

#include "common_test_utils/graph_comparator.hpp"
#include "openvino/core/model.hpp"
#include "openvino/pass/manager.hpp"

// test fixture to check that the resulted graph generated by the frontend matches the reference
class FrontEndConversionWithReferenceTestsF : virtual public ::testing::Test {
public:
    FrontEndConversionWithReferenceTestsF();

    void SetUp() override;

    void TearDown() override;

    std::shared_ptr<ov::Model> model, model_ref;
    ov::pass::Manager manager;
    FunctionsComparator comparator;
};
