# OpenVINO Intel CPU Plugin

## Key Contacts

For assistance regarding CPU, contact a member of [openvino-ie-cpu-maintainers](https://github.com/orgs/openvinotoolkit/teams/openvino-ie-cpu-maintainers) group.

## Components

CPU Plugin contains the following components:

* [docs](./docs/) - developer documentation pages for the component.
* [src](./src/) - sources of the core component.
* [tests](./tests/) - tests for OpenVINO Plugin components.
* [thirdparty](./thirdparty/) - third-party modules.
* [tools](./tools/) - tools and helpers for OpenVINO Plugin components.

## Tutorials

* [Debug capabilities](./docs/debug_capabilities/README.md)
* [Performance analysis using ITT counters](./docs/performance_analysis_ITT_counters.md)
* [Intel Software Development Emulator (CPU emulation)](./docs/cpu_emulation.md)
* [Runtime parameters cache](./docs/runtime_parameters_cache.md)
* [Internal CPU Plugin Optimizations](./docs/internal_cpu_plugin_optimization.md)
* [FakeQuantize insights and optimizations](./docs/fake_quantize.md)
* [Selective build (Conditional Compilation)](./docs/selective_build.md)
* [Workaround for python stack size on AMX hosts](./docs/wa_amx_python_sigaltstack.md)

## See also

 * [OpenVINO™ README](../../../README.md)
 * [OpenVINO Core Components](../../README.md)
 * [OpenVINO Plugins](../README.md)
 * [Developer documentation](../../../docs/dev/index.md)
